fieldset {
}

.pano {
 width: 108%;
 max-width: 108%;
 overflow: hidden;
 position: relative;
 left: -4%;
 margin: 0;
 padding: 0;
}

iframe {
 max-width: 100%;
/* width: 100%;
 height: 512px; */
 width: 90vw;
 height: calc(90vw*0.5625) /* lasketaan oikea suhde */
}

figcaption {
 text-align: left;
 font-size: smaller;
 font-weight: bolder;
}

#kommenttilomake {
  width: 80%;
  clear: both;
}

.gmap {
 margin-top: 5em;
 position: absolute;
 right: 0;
 top: 0;
}


.left {
 float: left;
 clear: left;
 margin-left: 2em;
 margin-right: 3em;
}

.tasa {
 float: left;
 width: 25%;
 clear: left;
}
blockquote {
	border: 1px dotted silver;
	color: #474747;	
}

.kommentti {
 width: 75%;
 border: 1px dotted black;
 margin-top: 1em;
 margin-left: 2em;
 clear: both;
} 

.lainaus {
 border-left: 1px solid black;
 border: 1px solid black;
 padding: 1em;
 margin-left: 3em;
 margin-right: 165px;
}

.lat, .lon {
 display: none;
}

.vastaus {
	color: #B5022A;
	padding: 1em;
}
.varusteet li {
	clear: both;
}
.hazor:before {
	content: "Hazor ";
	color: red;
}
.hazor {
	margin-left: 1%;
	float: left;
	width: 28%;
	clear: left;
	padding-left: 0.5%;
	padding-right: 0.5%;
	padding-top: 0.5%;
	padding-bottom: 0.5%;
}
.nz {
	margin-left: 1%;
	float: left;
	width: 28%;
	clear: left;
	border: 1px solid red;
	padding-left: 0.5em;
	padding-right: 0.5em;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
}

.keem h3, .hazor h3 {
 font-size: 1em;
 padding: 0;
 margin: 0;
 display: inline-block;
}



.keem:before {
	content: "Keem ";
	color: red;
}

#karjala .keem a, #karjala .hazor a {
	display: block;
	float: left;
	margin: 1em;
}

#karjala .keem:before, #karjala .hazor:before {
	content: "";
}

#karjala .keem, #karjala .hazor {
  width: 35%;
}

#karjala .kuvaoikea {
 	float: left;
	width: 38%;
	margin: 0;
	padding: 0;
}

#karjala #images {
	width: 220px;
	float: right;
}


.keem {
	margin-left: 1%;
	float: left;
	width: 28%;
	padding-left: 0.5%;
	padding-right: 0.5%;
	padding-top: 0.5%;
	padding-bottom: 0.5%;
}

.lepe:before {
	content: "Lepe ";
	color: red;
	
}

.lepe {
	margin-left: 1%;
	width: 28%;
	padding-left: 0.5em;
	padding-right: 0.5em;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	float: left;
}

.haku {
	position: absolute;
	top: 0;
	right: 0;
	z-index: 15;
}

.haku input[type="text"] {
	font-family: "Courier New", sans-serif;
	background: #B0C4DE none;
	font-size: smaller;
	font-weight: bolder;
}

body>.haku {
	position: fixed;
}


.lang {
	position: absolute;
	top: 2em;
	right: 0;
	z-index: 2;
}

.transl {
	position: absolute;
	top: 4em;
	right: 0;
	z-index: 0;
	font-size: smaller;
}

.transl ul, .transl p, .transl li {
	margin: 0;
	padding: 0;
	list-style-type: none;
}


body,html {
   color: #000000;  
   background:  #EDEDED none; 
   margin: 0;
   padding: 0;
   border: 0;
   font-family: Verdana, Arial, "Trebuchet MS", sans-serif;
   font-size: 1em;
}

body {
	padding-left: 4%;
	padding-right: 4%;
}

.clear {
	clear: both;
}

.right {
	clear: right;
	float: right;
	margin-top: 1em;
	margin-bottom: 1em;
	margin-left: 1em;
}

.navbar {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	background: #B0C4DE none;
	padding-left: 2em;
	padding-right: 2em;
	padding: 0;
	margin-top: 1.5em;
	border-top: 1px solid black;
	padding-top: 0.2em;
	padding-bottom: 0.2em;
	text-align: center;
	vertical-align: middle;
}

.navbar ul {
	margin: 0;
	padding: 0;

}

.navbar ul li {
	margin: 0;
	padding: 0;
	display: inline;
	border-left: 1px solid black;
	padding-left: 1em;
	padding-right: 1em;
}

.navbar ul li:first-child {

	border-left: 0;
}


.breadcrumb {
	z-index: 10;
	color: silver;
	margin: 0;
	padding: 0;
	background: #B0C4DE none;
	background: #D54C42 none;
	background: #025891 none;
	float: left;
	margin-left: -3%;
	position: fixed;
	width: 100%;
	height: 1.5em;
	left: 0;
}

body>.breadcrumb {
	margin: 0;
}


.breadcrumb li {
	display: inline;
	border-left: 1px solid white;
	padding-left: 0.5em;
	margin: 0;
	margin-left: 0.5em;
}	

.breadcrumb li:first-child {
	border-left: 0;
	margin-left: 4px;
	padding-left: 0;
}	


pre {
	font-family: "Courier New", Courier, monospace;
	border: 1px solid black;
	padding: 1em; 
 	margin-left: 3.5em;
 	margin-right: 3.5em;
}

li {
	line-height: 1.5em;
	margin-left: 2.5em;
	padding: 0em;
}

a {
  background-color: transparent; 
  color: #003399;
  padding: 1px;
}


a:link {
  background-color: transparent; 
  color: #003399;
}

a:visited {
 color: #993399;
 background-color: transparent; 
}

a:active {
 color: #990000;
 background-color: #FFFFFF; 
}

a:hover {
	color: white;
	color: red;
	border-right: 1px solid black;
	border-bottom: 1px solid black;
	border-top: 1px solid white;
	border-left: 1px solid white;
	text-decoration: none;
        padding: 0;
}

.navbar a:visited {
	color: purple;
}

.breadcrumb a:link {
	color: #7070dd;
	color: #B0C4DE;
	
}

.breadcrumb a:visited {
 	color: #cc66cc;
	color: #dd99dd;
}

.navbar a:hover, .breadcrumb a:hover {
 	color: red;
	color: #ff5050;
}

h1 {
	padding-top: 3em;
	padding-bottom: 0.5em;
	margin-bottom: 0;
  margin-left: 1em;
  margin-right: 1em;
  margin-top: 0em;
	text-align: left;
	color: #B5022A;
	background: transparent none; 
 	font-family: Verdana, Arial, sans-serif;
	font-weight: 900;
}


h2 {
  font-family: Verdana, Arial, sans-serif;
  margin-top: 2em;
  font-weight: 900;
  color: #B5022A;
  background: transparent none; 
  margin-left: 1em;
  margin-right: 1em;
  clear: left;
}



.noclear {
  clear: none;
}


h3 {
  padding: 0;
  margin: 1em;
  color: #B5022A;
  background: transparent none; 
  margin-left: 1em;
  margin-right: 1em;
}

h4 {
  padding: 0;
  margin: 1em;
  margin-left: 2em;
  margin-right: 2em;
}

summary h4 {
  display: inline;
}

h5 { 
  padding: 0;
  margin: 1em;
  margin-left: 2em;
  margin-right: 2em;
}

p {
  margin-left: 2em;
  margin-right: 2em;
  margin-top: 1em;
  margin-bottom: 1em;
  padding-bottom: 1em;
  z-index: 20;
  line-height: 1.5em;
  text-align: left;
}

p:first-line {
	padding-left: 0em;
}

li p {
	margin: 0em;
	padding: 0em;
	margin-left: 0em;
 margin-top: 0.5em;
 margin-bottom: 0.5em;
 margin-left: 0.5em;	
}

table {
  margin-left: auto;
  margin-top: 2em;
  margin-bottom: 2em;
	margin-right: auto;
	border-right : 4px solid black;
  border-bottom: 4px solid black;
  border-top: 2px solid #EAE4D1;
  border-left: 2px solid #EAE4D1;
	color: black;
	background: transparent none;
  empty-cells: show;
	border-spacing: 0.4em;
}

td {
		 font-family: "Trebuchet MS", Verdana, Arial, "Andale Mono", sans-serif ;
     padding: 0.4em;
		 border-right: 2px solid #666666;
		 border-bottom: 2px solid #666666;
		 border-top: 1px solid #999999;
		 border-left: 1px solid #999999;
}
th {
  background: #FFCC99 none;
	color: black;
  font-family: "Trebuchet MS", Verdana, Arial, "Andale Mono", sans-serif ;
 	font-weight :  bold;
  text-align: center;
  border-right: 2px solid #666666;
	border-bottom: 2px solid #666666;
	border-top: 1px solid #999999;
	border-left: 1px solid #999999;
}

td ul li{
  margin:0;
}

td ol li{
  margin:0;
}

table caption {
	   text-align: center;
		 padding: 0em;
     margin-left: auto;
     margin-right: auto;
     margin-top: 1em;
     margin-bottom: 0.5em;
     color: #B5022A;
     font-weight: bolder;

}



ol li ol li {
 list-style-type: lower-alpha;
}

.gtext .author {
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
}

.author {
  margin-left: 3em;
  margin-right: 2.5em;
  margin-top: 0em;
  margin-bottom: 0em;  
 	font-size:0.8em;
	text-align: right;
	padding-top: 0.5em;
	clear: both; 
} 

.url {
	font-family: "Courier New", Courier, monospace; 
}


img {
	border: 0;
	text-decoration: none;
}





div.kuvat {
	position: relative;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	border: 5px solid;
	margin: 1em;
}




h1 a:link {
 color: black;
 background-color: transparent;
 text-decoration: none;
}


h1 a:visited {
 color: #aa5555;
 background-color: transparent;
 text-decoration: none;
}

h1 a:active {
/* color: transparent; */
 background-color: transparent;
 text-decoration: none;
}


h1 a:hover {
 color: blue;
 background-color: transparent;
 text-decoration: none;
}


ul.toc {
        float: left;
        padding: 0;
        width: 25%;
	margin-left: -2%;
        border-right: 1px solid black;
        overflow: hidden;
        font-size: smaller;
        font-weight: bolder;
	margin-top: 4em;
	margin-right: 2em;
}       

body > ul.toc {
	margin-left: -4%;
}       

.toc li {
        list-style-type: circle;
        margin: 0;
        margin-left: 1.6em;
        padding: 0;
}


.gleft {
	font-size: smaller;
	width: 37%;
	border: 1px solid;
	margin: 1em;
	background-color: #ffe060;
	padding-left: 0.5em;
	padding-bottom: 0.5em;
	overflow: hidden;
	float: left;
}	

.gleft p {
	margin: 0em;
}
.gtext {
	font-size: smaller;
	width: 28%;
	width: 25em;
	border: 1px solid;
	margin: 0.5em;
	padding-left: 0.5%;
	padding-right: 0.5%;
	padding-bottom: 0.5%;
	padding-top: 0.5%;
	overflow: auto;
	float: left;
	height: 18em;
	min-height: 15em;
	position: relative;
}

body > .gtext {
 clear: right;
}

.gtext h2 {
	font-size: 1em;
	padding: 0;
	margin: 0;
}

.gtext p {
	padding-top: 0.5em;
	padding-left: 0.5em;
	padding-right: 0.5em;
	padding-bottom: 0.5em;
	margin: 0;
}

.gfill {
	width: 38%;
	font-size: smaller;
	border: 1px solid;
	padding-left: 0.5em;
	padding-bottom: 0.5em;
	overflow: hidden;
	float: left;
	z-index: 1;
	visibility: hidden;
}


div.kuva {
	float: left;
	width: 175px;
	height: 17em;
	text-align: center;
}

.images2009 div.kuva {
	float: left;
	width: 200px;
	height: 17em;
	text-align: center;
}


div.kuva p, div.image p {
	margin-top: 0em;
	margin-bottom: 0em;
	font-size: 0.7em;
	overflow: hidden;
	width: 175px;
	height: 4em;
	height: auto;
	margin-left: 0em;
	padding-left: 0em;
	text-align: center;
}

p.comment {
	margin: 0;
	padding: 0;
}


.kuva a img, .image a img {
	border: 0;
	padding: 1px;
	margin: 0;
	text-align: center;
	max-width: 175px;
}

.kuva a:link img, .image a:link img {
	border-right: 1px solid #b0c4de; 
	border-bottom: 1px solid #b0c4de; 
	border-left: 1px solid #b0c4de;
	border-top: 1px solid #b0c4de;
	text-decoration: none;
	padding: 0;
}

.kuva a:visited img, .image a:visited img {
	padding: 0;
	border-right: 1px solid #025891; 
	border-bottom: 1px solid #025891; 
	border-left: 1px solid #025891;
	border-top: 1px solid #025891;
	text-decoration: none;
}

.kuva a:hover, .image a:hover {
	border: 0;
}


.kuva a:hover img, .image a:hover img {
	background: transparent none;
	border: 1px solid black;
	text-decoration: none;
	color: black;
	padding: 0;
}


#comment {
 text-align: center;
}

.image {
	float: left;
	width: 175px;
	height: 13em;
	text-align: center;
}

.images2009 .image {
	float: left;
	width: 200px;
	height: 15em;
	text-align: center;
}


.image p {
	margin-top: 0em;
	margin-bottom: 0em;
	font-size: 0.7em;
	overflow: hidden;
	margin-left: 0em;
	padding-left: 0em;
}

.qr {
 display: none;
}
	



@media print {

.haku, #kommenttilomake {
 display: none;
}

.breadcrumb, .navbar {
 display: none;

}

body, ul, html {
 margin: 0;
 padding: 0;
}

a:link {
	text-decoration: none;
}

a:link[href^="http://"]:after, a:visited[href^="http://"]:after,
a:link[href^="https://"]:after, a:visited[href^="https://"]:after {
	content: " <" attr(href) "> "; 
	color: silver;
	font-family: "Courier New", Courier, monospace;
	font-size: smaller;
}

.qr {
 display: block;
}

.kkkuva {
 float: right;
 max-width: 50%;
}

h2 {
 page-break-before: always;
}

}

/* lisäyksiä suomiretkeä varten */

.suomi h2, .suomi h3 {
   clear: both;
}

.suomi .right {
  max-width: 30%;
}

.suomi .right img {
  max-width: 100%;
}

.suomi .left {
  max-width: 50%;
}

.suomi .left img {
  max-width: 100%;
  max-height: 50vh;
}

.suomi summary {
  text-decoration: underline;
}

.suomi #taulukko td input {
  display: none;
  min-height: 1em;
}

.suomi #taulukko td:hover input {
  display: inline-block;
}
.suomi #taulukko td:hover span {
  display: none;
}

.suomi #taulukko td {
  padding: 2px;
  margin: 0;
}

.suomi .date {
 display: none;
}

summary h2 {
  display: inline-block;
}

.none {
 clear: none;
}

.suomi iframe {
  width: 100%;
  height: 100%;
}

.suomi div.iframe {
  width: 100%;
  height: 15em;
  resize: both;
  overflow: hidden;
  padding: 5px;
}
